Installer - Bug #34882

Pulp: Add options to change the import and export path in /etc/pulp/settings.py
05/09/2022 08:30 PM - William Clark

Status: Closed

Priority: Normal

Assignee: William Clark

Category:

Target version:

Difficulty: Fixed in Releases: 3.3.0
Triaged: No Found in Releases:
Bugzilla link: 2028446 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/417

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2028446

Description of problem:
[RFE] Add options to change the import and export path in /etc/pulp/settings.py

Version-Release number of selected component (if applicable):
satellite-6.10

How reproducible:
New installation

Actual results:
There is no option available through custom-hiera.yaml or satellite-installer to change the below directories to custom path
1. cat /etc/pulp/settings.py

ALLOWED_IMPORT_PATHS = ["/var/lib/pulp/sync_imports", "/var/lib/pulp/imports"]
ALLOWED_EXPORT_PATHS = ["/var/lib/pulp/exports"]

It seems to be a hard-coded in the configuration :
1. cat /usr/share/foreman-installer/modules/foreman_proxy_content/manifests/init.pp |grep -iE "sync_imports|imports"
$pulpcore_allowed_import_path = ['/var/lib/pulp/sync_imports']
$pulpcore_allowed_import_path = ['/var/lib/pulp/sync_imports', ‘/var/lio/pulp/imports']

1. cat /usr/share/foreman-installer/modules/pulpcore/templates/settings.py.erb

ALLOWED_IMPORT_PATHS = <%= scope['pulpcore::allowed_import_path'] >
ALLOWED_EXPORT_PATHS = <= scope['pulpcore::allowed_export_path'] %>

Expected results:

If changing the import and export path is allowed, then we will need a module for custom-hiera.yaml and satellite-installer parameter

Additional info:
Tried the below parameters in hiera but not work after running the installer.
1. cat /etc/foreman-installer/custom-hiera.yaml

pulpcore::allowed_import_path: [/mnt/test5’, /mnt/test6']
pulpcore::allowed_export_path: [/mnt/test7']
Associated revisions

Revision c8ba0fe5 - 05/10/2022 07:31 PM - William Clark

Fixes #34882 - allow custom pulpcore import/export paths

History

#1 - 05/09/2022 10:53 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/417 added

#2 - 05/10/2022 07:31 PM - The Foreman Bot
- Fixed in Releases 3.3.0 added

#3 - 05/10/2022 08:01 PM - William Clark
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|c8ba0fe5fc2d7e389c3983e8545601299954508a.
